Name:           pwmd
Version:        2.18
Release:        2%{?dist}
Summary:        A server for storing application data at a central location

Group:          Applications/System
License:        GPLv2+
URL:            http://bjk.sourceforge.net/pwmd/
Source0:        http://downloads.sourceforge.net/bjk/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Buildrequires:  glib2-devel
BuildRequires:  pth-devel
BuildRequires:  libassuan-devel >= 2.0.0
BuildRequires:  libgpg-error-devel
BuildRequires:  libxml2-devel
BuildRequires:  libgcrypt-devel
BuildRequires:  zlib-devel
BuildRequires:  cracklib-devel
BuildRequires:  gettext

Requires:       pinentry >= 0.7.5

%description
Password Manager Daemon is a server that provides a way for applications
to securely store and retrieve data at a centralized location. The data is
stored in an (optionally AES256 encrypted) XML file and clients connect and
send commands to manipulate the data. Some of the features include:

* Multi-threaded. More than one client may access the data at the same
  time.
* A key cache so clients won't need to enter a key each time a file is
  opened or saved.
* Key retrieval via pinentry(1).
* Configuration file which supports file specific settings including:
  encryption iterations, cache expiration and encryption key or key file
  and more.
* Compressed data file support.
* Logging to file and/or syslog.
* Secure memory usage. PWMD will zero out memory before freeing it and
  also has the option to lock the entire process in RAM to avoid swapping
  the data to virtual memory.


%prep
%setup -q


%build
%configure
make %{?_smp_mflags}


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot} INSTALL="install -p"
%find_lang %{name}


%clean
rm -rf %{buildroot}


%files  -f %{name}.lang
%defattr(-,root,root,-)
%doc ChangeLog COPYING NEWS README TODO doc/config.example
%{_mandir}/man*/%{name}*.*
%{_bindir}/%{name}


%changelog
* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.18-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Mar 15 2010 Fabian Affolter <fabian@bernewireless.net> - 2.18-1
- Updated to new upstream version 2.18

* Fri Jul 17 2009 Fabian Affolter <fabian@bernewireless.net> - 2.1-1
- Removed COMMANDS from doc
- Updated to new upstream version 2.1

* Sun Apr 19 2009 Fabian Affolter <fabian@bernewireless.net> - 1.2-1
- Initial package for Fedora

